Bug 67871 - EDITING: LO CRASH doubleclicking an adjusted to contour rectangle
Summary: EDITING: LO CRASH doubleclicking an adjusted to contour rectangle
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.0.0.beta1
Hardware: All Windows (All)
: high major
Assignee: Ivan Timofeev (retired)
URL:
Whiteboard: target:4.2.0 target:4.1.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-08-07 15:12 UTC by vlb
Modified: 2013-08-09 07:16 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vlb 2013-08-07 15:12:06 UTC
In LO 4.1.0.4 and master Version: 4.2.0.0.alpha0+
Build ID: dfe9250cc3de574a2b0e7a2df936b8c9a71d9011

windows 7 64-bits

Steps when crash:
1- draw a rectangle in sheet
2- contex menu "text" and choose "adjust to contour"
3- click outsite the rectangle
4- double click in rectangle and LO crash
Comment 1 Mike Kaganski 2013-08-08 03:21:43 UTC
Reproducible with LO 4.1.0.0.beta1 under Win7x64.
Not reproducible with 4.0.4.2 -> regression.

Also reproducible in Writer.
Comment 2 Commit Notification 2013-08-08 15:04:26 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a0dd33a384009dcc92238cec344c9b0e98cf25f

fdo#67871: Revert "coverity#705731 Resource leak"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Ivan Timofeev (retired) 2013-08-08 15:08:54 UTC
Thanks for the report, fixed in master, proposed for 4-1.
Comment 4 vlb 2013-08-08 15:25:33 UTC
(In reply to comment #3)
> Thanks for the report, fixed in master, proposed for 4-1.

Thanks for the solving the bug so fast!
Comment 5 Commit Notification 2013-08-08 19:20:22 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d1576aa02dd638c252e5993e52c7de7833f9e10&h=libreoffice-4-1

fdo#67871: Revert "coverity#705731 Resource leak"


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.